Bug 290438

Summary: A compact printing style, with the most important fields
Product: kaddressbook Reporter: Mario Scheel <zweistein12>
Component: printingAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: tokoe, winter
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.9
Attachments: add an compact printing style to kaddressbook

Description Mario Scheel 2012-01-02 21:00:04 UTC
Created attachment 67352 [details]
add an compact printing style to kaddressbook

Version:           unspecified (using KDE 4.7.3) 
OS:                Linux

I need an overview of private contacts and the best format is an table of contacts with address and phone number. I think many other users need those list.

Reproducible: Didn't try



Expected Results:  
I can print a small and compact list of contacts.

If it necessary I write the ability to customize the colors, font size and fields.
Comment 1 Allen Winter 2012-01-04 12:15:53 UTC
the ringbinder style does this, no?

if not, please describe what the ringbinder style does/doesn't do for you.
Comment 2 Mario Scheel 2012-01-04 19:04:13 UTC
I need much more sheet of papers, 4 instead 1 with duplex. The ringbook stlyle need borders and borders need place.

With this compact stlye is it possible to print a contact list for a purse or a wallet. One can print many contacts on one sheet of paper with two pages on per side.
Comment 3 Mario Scheel 2012-01-04 22:00:43 UTC
see also #202658
Comment 4 Mario Scheel 2012-02-05 08:35:22 UTC
In the reviewboard is a better patch, https://git.reviewboard.kde.org/r/103868/. It allows customize the list.
Comment 5 Allen Winter 2012-02-08 23:19:18 UTC
Git commit 9906d789ea8ca791f479c223443758530bfcf973 by Allen Winter.
Committed on 09/02/2012 at 00:16.
Pushed by winterz into branch 'master'.

Add a new "compact" print style
Code by Mario, Thanks!

REVIEW: 103868
MERGE: None
FIXED-IN: 4.9

M  +2    -0    kaddressbook/CMakeLists.txt
A  +231  -0    kaddressbook/printing/compactstyle.cpp     [License: GPL (v2+) (+Qt exception)]
A  +84   -0    kaddressbook/printing/compactstyle.h     [License: GPL (v2+) (+Qt exception)]
A  +153  -0    kaddressbook/printing/compactstyle.ui
M  +1    -1    kaddressbook/printing/pictures/CMakeLists.txt
A  +-    --    kaddressbook/printing/pictures/compact-style.png
M  +2    -0    kaddressbook/printing/printingwizard.cpp

http://commits.kde.org/kdepim/9906d789ea8ca791f479c223443758530bfcf973